package com.aucma.report.mapper;

import java.util.List;
import com.aucma.report.domain.ReportDayDnb;

/**
 * 电日耗报Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-09
 */
public interface ReportDayDnbMapper 
{
    /**
     * 查询电日耗报
     * 
     * @param objId 电日耗报主键
     * @return 电日耗报
     */
    public ReportDayDnb selectReportDayDnbByObjId(Long objId);

    /**
     * 查询电日耗报列表
     * 
     * @param reportDayDnb 电日耗报
     * @return 电日耗报集合
     */
    public List<ReportDayDnb> selectReportDayDnbList(ReportDayDnb reportDayDnb);

    /**
     * 新增电日耗报
     * 
     * @param reportDayDnb 电日耗报
     * @return 结果
     */
    public int insertReportDayDnb(ReportDayDnb reportDayDnb);

    /**
     * 修改电日耗报
     * 
     * @param reportDayDnb 电日耗报
     * @return 结果
     */
    public int updateReportDayDnb(ReportDayDnb reportDayDnb);

    /**
     * 删除电日耗报
     * 
     * @param objId 电日耗报主键
     * @return 结果
     */
    public int deleteReportDayDnbByObjId(Long objId);

    /**
     * 批量删除电日耗报
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReportDayDnbByObjIds(Long[] objIds);
}
